package com.example.demo.licznik;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;

@Controller
public class AController1 {
	
	@GetMapping("/test0")
	public String test0() {
		return "licznik.html";
	}
	
	@GetMapping("/test1")
	public String test1(Model model) {
		model.addAttribute("licznik", "Ala ma kota, a nie żaden licznik");
		return "licznik.html";
	}
	
	@GetMapping("/test2")
	public String test2(Model model, Licznik licznik) {
		// Nawet gdy sami nie dodamy obiektu do modelu, to Spring i tak to zrobi
		// model.addAttribute("licznik", licznik);
		return "licznik.html";
	}
	
	@GetMapping("/test3")
	public String test3(@ModelAttribute Licznik licznik) {
		// Ta adnotacja mówi jednoznacznie, że ten parametr jest elementem modelu
		return "licznik.html";
	}

}
